# Interface methods for submodule: MeshRegion
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import RegionProxy as _RegionProxy


# Interface methods for class: MeshRegion
class MeshRegionProxy(_RegionProxy):
	def GetNameOfClass(self):
		""""""
		...

	def GetRegionType(self):
		""""""
		...

	def GetNumberOfRegions(self) -> int:
		""""""
		...

	def SetNumberOfRegions(self, num: int) -> None:
		""""""
		...

	def GetRegion(self) -> int:
		""""""
		...

	def SetRegion(self, region: int) -> None:
		""""""
		...

